<script setup lang="ts">
import { inject, type Ref } from 'vue'
import clockRealTime from './clockRealTime.vue'

const rail = inject<Ref<boolean>>('rail')
</script>
<template>
  <v-app-bar
    color="brown darken-4"
    scroll-behavior="fade-image collapse hide"
    scroll-threshold="1000"
    image="./img/MenuBar.jpg"
  >
    <template v-slot:image>
      <v-img gradient="to top right, rgba(100, 45, 15, .9), rgba(140, 70, 20, .1)"></v-img>
    </template>

    <template v-slot:prepend>
      <v-app-bar-nav-icon @click.stop="rail = !rail"></v-app-bar-nav-icon>
    </template>

    <v-app-bar-title>GWENCHANA COFFE</v-app-bar-title>

    <v-spacer></v-spacer>
    <clockRealTime style="padding: 1%; font-size: 25px"></clockRealTime>
  </v-app-bar>
</template>
